Opetusohjelma: Asenna .tar.gz- ja .tar.bz2-paketit

Alussa, kun aloitamme Linuxista ja etsimme ohjelmaa, on normaalia, että löydämme .deb tai .rpm ja monissa tapauksissa ohjelmat, joiden laajennus on .tar.gz y .tar.bz2Nämä tiedostot ovat pakattuja ja sisältävät yleensä ohjeet sen asentamiseksi ohjelmaa lukuun ottamatta.

Näiden kahden pakettityypin asennus on täsmälleen sama

Ensin syötetään kansio, jossa meillä on tiedosto, jos kansiossa on useita sanoja, meidän on laitettava ne "" tai jos se ei etsi kansioita jokaisen sanan kanssa

cd-kansio, jossa tiedosto sijaitsee cd "kansio, jossa tiedosto on"

Sisällä puramme tiedoston

tar -zxvf-tiedostonimi.tar.gz tar -jxvf-tiedostonimi.tar.bz2

Me konfiguroimme

. / Määritä

Teemme (koota)

tehdä

Tee nyt asennus

make install

Joskus se voi antaa meille virheen ./configure, siinä tapauksessa se ei tarvitse kääntämistä ja suorituksen aikana meillä on paljon, terminaalissa me

Aiheeseen liittyvä artikkeli:
Komennot järjestelmän tuntemiseksi (laitteiston ja joidenkin ohjelmistokokoonpanojen tunnistaminen)
ohjelman nimi

Tai luomme kantoraketin.


Artikkelin sisältö noudattaa periaatteita toimituksellinen etiikka. Ilmoita virheestä napsauttamalla täällä.

102 kommenttia, jätä omasi

Jätä kommentti

Sähköpostiosoitettasi ei julkaista.

*

*

  1. Vastuussa tiedoista: Miguel Ángel Gatón
  2. Tietojen tarkoitus: Roskapostin hallinta, kommenttien hallinta.
  3. Laillistaminen: Suostumuksesi
  4. Tietojen välittäminen: Tietoja ei luovuteta kolmansille osapuolille muutoin kuin lain nojalla.
  5. Tietojen varastointi: Occentus Networks (EU) isännöi tietokantaa
  6. Oikeudet: Voit milloin tahansa rajoittaa, palauttaa ja poistaa tietojasi.

  1.   moskov dijo

    vau, +1

  2.   asianmukainen dijo

    oikeastaan ​​oikea asia purkaa on
    tar -zxvf-tiedosto.tar.gz
    tar -jxvf-tiedosto.tar.bz2

    ja konfigurointia varten on ääretön määrä vaihtoehtoja (ohjelmistosta riippuen) asennuksen mukauttamiseksi

    ./configure -help

    Sen avulla he näkevät erilaiset lisäasetukset asennettaessa ohjelmaa.
    Kaikki jakelut eivät käytä / usr / local -ohjelmaa ohjelmien asentamiseen, mikä on mainittava myös.

    Unohdit mainita, miten tällä tavalla asennettu ohjelma voidaan poistaa. Kunkin arkkitehtuurin optimoinnin määrittelyn lisäksi.

    Joka tapauksessa, hyvä aloite, mutta menetit paljon ... liikaa tietoa jaettavaksi.

    terveiset

    1.    Rohkeus dijo

      Sitä en ole tuskin koskaan käyttänyt, suurimman osan virallisista arkistoista löydetyistä ohjelmista.

      Totuus purkamisesta on, että se on aina ollut minulle hyvä näin.

      Kirjoitin sen, koska se häiritsee minua kaikkia, jotka sanovat: "Kun purat sen, lue ohjeet".

      Joka tapauksessa näen .tar.gz: n viimeisenä keinona, jos deb / rpm-paketissa tai arkistoissa ei ole mitään

      1.    asianmukainen dijo

        "Totuus purkamisesta on, että se on aina ollut minulle hyvä näin."
        olemme samaa mieltä, en kiistä sitä, mutta se ei tarkoita, että se on oikea asia. Kaikki distrot eivät pura "älykkäästi", joidenkin on lisättävä lisää parametreja.

        1.    Rohkeus dijo

          Mies, se ei ole minun vikani, että on epänormaaleja distroja hahahaha

          1.    asianmukainen dijo

            KISS mies ... KISS

          2.    Rohkeus dijo

            Mies, KISS ei ole debyytti, tiedät jo sen Slackwaren kanssa hahahaha

          3.    asianmukainen dijo

            xD
            Siksi kerron sen sinulle

            Yksinkertainen! = Helppo.

  3.   yoyo dijo

    +1 oikealle

    1.    Pepe dijo

      Yksi kusipää enemmän kuin toinen. Nämä "nero" ovat aiheen ulkopuolella.

  4.   Litos 523 dijo

    Jos muutat "make install" -asetukseksi "checkinstall" (voit asentaa sen aptitudella, se on arkistoissa), se asentaa ohjelman, mutta myös:
    -Luo .deb, jotta voit asentaa sen tulevissa tilanteissa
    -Asennettu ohjelma näkyy Synapticissa, joten voit poistaa sen helposti sieltä

    1.    Rohkeus dijo

      Arch-käyttäjillä on se mukana soveltuvuudessa ...

  5.   jelmatkustaja dijo

    Anteeksi tietämättömyydestäni, mutta ratkaiseeko ulkomaalainen sovellus kaikki nuo ongelmat?

    1.    asianmukainen dijo

      ei, koska alien toimii käännettyjen pakettien kanssa ja tar.gz tai tar.bz2 ovat pakattuja tiedostoja, joissa on lähdekoodi.

  6.   92 dijo

    Et voi oikeastaan ​​tehdä opetusohjelmaa tästä, suurimmaksi osaksi, ainakin qt-paketit kootaan muilla, vielä kummallisemmilla tavoilla.

    1.    hypersayan_x dijo

      Aioin sanoa saman asian.
      Ne, jotka käyttävät Qt: n qmakea Qt: stä, ovat suunnilleen näin:


      cd CarpetaPrograma
      qmake
      make
      sudo make install

      Ja lisätään toinen tapaus, joka on cmakes:


      cd CarpetaPrograma
      mkdir build
      cd build
      cmake ..
      make
      sudo make install

      Tai on muita, joiden on vain suoritettava make && sudo make install.
      Nämä ovat yleisimpiä tapauksia, mutta vaihtoehtoja on paljon enemmän: s

      1.    mcder3 dijo

        Toisinaan jotkin QT: ssä tehdyt sovellukset eivät tuo makefile-tiedostoa. Joten on aika luoda ne seuraavalla rivillä:

        qmake -tiedosto

        terveiset

  7.   jelmatkustaja dijo

    Katsotaanpa, selvitänkö, kun minun on käytettävä tar.gz- tai tar.bz2-tiedostoja, kaikki mitä teen .deb- tai all.deb-tiedostojen luomiseen alienia käyttäen, on sudo alien install + paketin nimi. Eikö se ole sama kuin kokoaminen?

    1.    hypersayan_x dijo

      Ei, kääntäminen muuttaa ohjelman lähdekoodia konekoodiksi.
      Alienin kanssa tekemäsi on uudelleen pakkaaminen, mikä muuntaa yhden jakelun pakettimuodon toisen jakelun pakettimuodoksi.
      Yksinkertaisuuden vuoksi on kuin jos sinulla olisi tiedosto, joka on pakattu RAR-tiedostoon ja haluat siirtää sen ZIP-tiedostoon, purat tiedoston pakkaamalla RAR-tiedostoon ja pakaten sen uudelleen ZIP-muodossa, toisin kuin muukalainen tekee.

  8.   StuMx dijo

    Koosteet tehdään merkissä, ei määrityksissä. Konfigurointitiedosto on komentosarja, joka varmistaa, että järjestelmä noudattaa kaikkia ohjelman kokoamiseen liittyviä riippuvuuksia, ja sitten se luo make-tiedoston (joka määrittää, miten se kootaan) järjestelmämme mukaan.

    1.    Rohkeus dijo

      Nyt poistan sen, koska tämä artikkeli on jo kauan sitten, kun kirjoitin sen huhtikuussa tai toukokuussa. En tarkistanut sitä melkein poistamalla huono sana mitään muuta

  9.   jelmatkustaja dijo

    Hei
    Luulen, että en selitä itselleni kovin hyvin. Alien ei vain muunna rpm-pakettia .deb: ksi, jos otat ohjelman lähdekoodin, olipa se sitten gz tai bz2, se muuntaa sen itsensä asentavaksi virheenkorjaajaksi. Siksi kysymykseni. Olen ollut Linuxissa vähän aikaa, pidä kanssani.

  10.   Marco dijo

    anteeksi tietämättömyyteni, mutta nämä vaiheet pätevät myös Chakraan, vai muuttuuko jotain ???

    1.    KZKG ^ Gaara dijo

      Ei lainkaan miestä 😀
      Nämä vaiheet ovat sinänsä melkein vakio kaikissa distroissa, mutta ei ole 100% varmaa, että nämä ovat AINA vaiheet, joita on noudatettava. Siksi suosittelen, että luet aina ohjetiedoston (README yleensä) ennen kuin teet mitään.

    2.    asianmukainen dijo

      kuten @ KZKG ^ Gaara sanoo, näin ei ole aina, se on standardi, joka toimii kaikissa distroissa, kunhan ohjelma on kirjoitettu C / C ++

  11.   Carlos-Xfce dijo

    Kun kohtaan uudelleen .tar.gz: n näistä, palaan tähän artikkeliin. Kuinka inhoan tällaisia ​​paketteja!

    1.    Rohkeus dijo

      Vittu, olet tarpeeksi vanha asentamaan nämä paketit HAHAHAHAHA

  12.   VulkHead dijo

    Anteeksi tietämättömyyteni, tämä asennusmenetelmä toimii myös Debianissa. Koska yritän ja yritän, ja se antaa minulle virheen.

  13.   Laura Tejera dijo

    Siksi kukaan ei käytä linuxia, tehdä mitään tyhmää on temppu

    1.    elav dijo

      Kuinka utelias, jotkut mainitsemistasi tyhmyydistä, "erittäin lahjakkaat" Windows- ja OS X -käyttäjät eivät voi tehdä niitä tai pelkäävät niitä.

      1.    Laura Tejera dijo

        Hauska on, kuinka sinä kaltaiset ihmiset voivat seurata niin suljettua käyttöjärjestelmää.

        1.    KZKG ^ Gaara dijo

          Oletko välttänyt vastaamasta kysymykseen? … Voivatko Windows-käyttäjät tai OS X-nerot tehdä niin paljon asioita järjestelmällään kuin näytämme tällä sivustolla? 🙂

          Muuten, käytät Ubuntua niin ... mistä me puhumme?

          1.    Laura Tejera dijo

            jatka keskinkertaista mangaa

            1.    KZKG ^ Gaara dijo

              Olemmeko keskinkertaisia? … Uff… LOL!


      2.    Pepe dijo

        Olemme vuonna 2015!
        Mielestäni ei ole tarpeen tuhlata niin paljon aikaa opiskelemaan työskentelemään konsolista.
        Miksi et käytä tähän automatisoituja sovelluksia?
        Joka tapauksessa ne, jotka "tykkäävät" kirjoittaa komentoja siellä olevasta konsolista, antavat heidän jatkaa sen tekemistä, mutta samalla olisi välttämätöntä saada samat automaattiset komennot. En pyydä sinua lähettämään rakettia kuuhun.

    2.    Santiago Luis Bazan dijo

      Syyt vapaiden ohjelmistojen käyttöön ovat moraalinen etiikka. Älä koskaan anna kenellekään evätä heidän ihmisoikeuksiaan

      1.    Pepe dijo

        Totuus siitä, että ohjelmien "vapauden" sanatat ovat kyllästyneet. Eivätkö he voisi lopettaa ylistämättä olematonta jumalaa ja olla hieman nöyrempi?

    3.    Pepe dijo

      Olet oikeassa Laura, nämä kaverit Linuxilla vaikeuttavat sitä luuhun. Put0-ikkunoissa asiat ovat helpompia. En halventa Linuxia, mutta ei voi olla, että asennat pel0tudes-ohjelmia, vietät tuntikausia tervan toiminnan ja kaiken meresundan tutkimiseen niin, että päivän lopulla jumitut siihen "Linux-aloittelijaan ...".

      Aion käyttää vakaa käyttöjärjestelmää, mutta en ota tuntikausia tuotannostani, koska minun on tehtävä työtä, en halua tulla "Linux-tutkinnon suorittaneeksi".

  14.   Thanatos dijo

    Jotakin puuttuu aina ... kun annan ./configure I get: configure: error: Intltool on liian vanha. Tarvitset välityökalun 0.35.0 tai uudemman.

    Myöhemmin make-käsky palauttaa: Kohdetta ei määritetty eikä tiedostoa löytynyt. Korkea.

    tee asennus: Asennuskohteen rakentamiseen ei ole sääntöä

    Olen aloittelija ja on hyvä tehdä tutkimusta oppiakseni, mutta FUCK, etkö voi selittää sitä värillisillä kivillä niille meistä, jotka olemme uusia Linuxissa?

    1.    ponchu dijo

      Thanatosilla minulla oli samanlainen ongelma ja jaan lopputulokseni:
      (Ensinnäkin, selventääkseni, että olen myös vastahyökkäys Linux-maailmassa, ja seikkailuni tässä yhteydessä "aromilla" (distro) Ubuntulle on yksi viikko).
      Olettaen, että se tulee kansioon «Lataukset» komennolla «cd», mistä löydettiin ohjelmapaketti «SoulSeek», jonka pääte oli «.tgz» päätelaitteesta tai konsolista:
      "./Configure" antoi minulle virheen, että tiedostoa tai hakemistoa ei ollut olemassa
      "Make" heitti saman virheen kuin sinä ... joten en jatkanut komentoa "sudo make install" (sudo johtuu siitä, että Ubuntu vaatii "Super User ja hänen salasanansa" tämän komennon suorittamiseksi, toisin sanoen tee asennus) .
      Tutkiessani aiemmin purettua tiedostoa huomasin jotain, mitä voi tapahtua sinulle, eli että purettu tiedosto oli tyyppiä "suoritettava tiedosto" (oikean napsautuksen ominaisuudet) ja sen suorittaminen kesti 2 napsautusta.
      "./Configure" -ongelmasi ehkä ratkaiset sen päivittämällä Distroosi asennetut paketit tai arkistot (nämä termit hämmentävät minua), koska se kertoo sinulle, että "intItooI" on vanha ja tarvitset uudemman ja luulen että ehkä tämä paketti on se, joka kokoaa distroosi. Ubuntussa teet sen samassa terminaalissa kirjoittamalla "sudo apt-get update" ja päivitä kaikki järjestelmän paketit.
      Toivon, että olen ollut hyödyllinen.

    2.    Pepe dijo

      Kuten sanoin Lauralle, tämä Linux-juttu kestää kauan. Se antoi minulle saman virhesanoman kuin sinun, ja olen kuin Cantervillen aave paikasta toiseen eikä mitään.

      Pomoni sanoi minulle: "Sinulla on 2 päivää aikaa löytää ratkaisu, jos ei, palataan ikkunoihin."

  15.   Jonathan dijo

    kiitos

  16.   ivan dijo

    hei, minulla on sama ongelma, haluan asentaa skype 4.0: n. tietokoneelleni ladasin tar, gz2: n ja purettu pakkauksen ja kunnes sain sen, kun teen ./configure se kertoo minulle, että tiedostoa ei ole olemassa .. mihin eksyin tai mitä? kerro minulle, pclinuxOS: ssa (viimeisin julkaistu versio) skype on asennettu, mutta se on versio 2.2 ja haluan asentaa 4,
    Onko minun tehtävä jotain temppua, jotta voin lopulta asentaa tämän? jotain synaptista, jota en tiedä ???
    Olen uusi tässä järjestelmässä, olen kokeillut muita distroja aikaisemmin ja toistaiseksi kaikki on kunnossa paitsi tämä ..

    terveiset

    1.    Pepe dijo

      Onko minä vai en usko kenenkään tietävän näitä kysymyksiä.

    2.    f7eo dijo

      Hei, kysymyksestäsi on kulunut kauan.

      Suosittelen, että lataat Skype for Windows (R): n uusimman version
      ja että käytät Viiniä sen suorittamiseen GNU-Linux-distroosi.

  17.   of dijo

    Hei! Minulla on sama ongelma: Latasin keskuksen ohjelmiston uusimman version laajennuksella tar.gz ja kun pääsin "./configure" -instanssiin, sain virheen, kuten "make" -ohjelmassa. MIKÄ SE ON"?? KIITOS!! Sen lisäksi ohjelmistokeskus on estänyt asennuksen !!!

  18.   Carlos Rivera dijo

    Kiitos, se auttoi minua paljon !!!!

  19.   michael dijo

    miten luoda kantoraketti

  20.   Angi dijo

    Yksi kysymys, voitko tarkistaa tar.gz-tiedoston riippuvuudet ennen ./configure ???

  21.   Joseluis dijo

    Olen uusi Linux-käyttöjärjestelmässä, tar gz gz2 -tablettien asentaminen näyttää olevan erittäin vaikeaa, ja jos saan deb-levyn, sillä ei ole riippuvuuksia ja kierrosluvulla sama, jos se on i586 tai i686 tai i386, ja pahinta on, että minulla ei ole internetiä talossani. Nähdä niin paljon kommentteja ristiriidassa yksi hämmentää sinua pahempaa.

  22.   gabriel yamamoto dijo

    hyvää tietoa, mutta jotkut * .tar.bz2-paketit on jo käännetty ja niiden asentamiseksi sinun tarvitsee vain purkaa ne mihin tahansa kansioon (mieluiten / opt niin, että se on kaikkien käyttäjien saatavilla) ja tehdä suora pääsy binääritiedostoon hakemistossa / usr / paikallinen / bin

  23.   Gonzalo dijo

    Erittäin hyvä selitys tar.gz-tiedostojen käyttämisestä. Paljon kiitoksia tiedoista. Terveisiä koko joukkueelle

  24.   juancuyo dijo

    Se ei toimi minulle
    cd / home / ju / downloads / icecat-24.0 ——-> Vastaa minuun
    bash: cd: home / ju / downloads / icecat-24.0: tiedostoa tai hakemistoa ei ole olemassa
    Mitä teen väärin??? Käyttöjärjestelmä on Voyager 14.04 LTS (xubuntu) Xfce -työpöytä Gdebi ei ole sisältövalikossa eikä kumpikaan ole synaptinen, mutta ne ovat Käynnistä-valikossa, vaikka avaisitkin, ne eivät tunnista kansioita, ikään kuin niitä ei olisi. Pura se samaan latauskansioon. Onko se väärin purettu?

  25.   Claudio dijo

    Tämä opetusohjelma toimii myös .tgz-tiedostossa?

    1.    joakoej dijo

      Ei, .tgz on muoto, jota Slackware käyttää, ja ne on jo käännetty, riippumatta siitä, oletko ladannut sen tai kokenutko sen slackbuildista

    2.    joakoej dijo

      Asentaaksesi sen, sinun on käytettävä installpkg "paketin nimeä".

  26.   asdf dijo

    Anteeksi, mutta se ei ratkaise ongelmaa minulle paljon, kun sanot ./configure ja me konfiguroimme sen, sinun pitäisi määrittää enemmän, eikö? jos laitan vain ./configure se kertoo minulle
    bash: ./configure: Tiedostoa tai hakemistoa ei ole olemassa

    sitten sanot "teemme"
    Koodi:
    Tehdä
    Tulokseni:
    merkki: *** Kohdetta ei määritetty eikä tiedostoa löytynyt. Korkea.

    Tee asennus
    make: *** "Asenna" -kohdan rakentamiselle ei ole sääntöä. Korkea.

    Ja sitten sanot "suoritamme ohjelmaa"
    Koodi:
    Ohjelman nimi

    Mistä tiedän mikä nimi on tai mikä on suoritettava? Se on hyvin abstraktia, ehkä pidät itsestäänselvyytenä useita asioita, jotka tiedät, mutta ne, jotka tulevat katsomaan opetusohjelmaa, eivät ehkä tiedä

    1.    Damian dijo

      asdf.

      Tutkin, ja ./configure annettaessa syntyvä virhe johtuu kokoamisohjelman puutteesta (kuinka voimme kääntää ilman, että meillä olisi sitä tekevää ohjelmaa?). komento asentaa kääntäjä syöttää on:

      sudo aptitude install build-essential

      Asennuksen jälkeen siirrymme kansioon, jossa purettava tiedosto on, ja suoritamme:

      tar -zxvf-ohjelman_nimi.tar.gz

      Sitten syötämme puretun ohjelmakansion ja jos suoritamme ./configure ja sudo tee sitten asennus

      Toivottavasti olen auttanut!

      Tervehdys.

      1.    Damian dijo

        anteeksi, unohdin selventää, minun tapauksessani suorittaa "make" ja "sudo apt-get install program". Minun piti kirjoittaa "base" -kansio puretun kansion sisällä, juuri siellä otin komennot kääntääksesi ( merkki) ja asennus.

      2.    Carlos dijo

        se antaa minulle ongelmia, kun käytän sanoa, että se ei löydä mitään rakentaa korkealle

  27.   Brenda dijo

    Anteeksi, että minulla on tämä ongelma. Suoritan tämän komennon. Se näyttää minulle virheen, enkä voi luoda makefile-tiedostoa
    työpöytä: ~ / Lataukset $ tar -jxvf iReport-4.1.3.tar.bz2
    terva (lapsi): iReport-4.1.3.tar.bz2: Ei voi avata: Tiedostoa tai hakemistoa ei ole olemassa
    tar (child): Virhe ei ole palautettavissa: poistuu nyt
    tar: Lapsi palautti tilan 2
    tar: Virhe ei ole palautettavissa: poistutaan nyt
    kiitos =)

  28.   Aaron dijo

    Hyvää päivää ystävät,
    Olen uusi Linux-käyttöjärjestelmässä, mutta minulla on ollut pieni haitta tunnistettaessa laite, joka on digitaalinen biometrinen lukija, olen vain googlannut ja ilmeisesti löysin sen, mutta se ladattiin .tar.gz-laajennuksella, yritä Pura se kansioon, useita tiedostoja purettiin, mutta en tiedä, pitäisikö minun sen jälkeen suorittaa jotain muuta tai liittää nuo puretut tiedostot järjestelmän kansioon, en tiedä, jos autatte minua, suorittamaan prosessi hyvin, olisin erittäin kiitollinen, minulla on Linux Debian 7 asennettu käyttöjärjestelmään XNUMX. etukäteen, tervehdys ja kiitos paljon.

  29.   Rufo Lopez Retortillo dijo

    Käytän sekä Linex 2011: tä että Linex 2013: ta ja suurin ongelma, jonka löydän sovelluksia asennettaessa, on se, että niitä ei ole ladattu ryhmänsä sovellusluetteloon (grafiikka, toimisto, multimedia jne.) Ja jos haluan luoda käynnistysohjelman, en tiedä missä Minun täytyy mennä etsimään sovelluksen käynnistystiedosto. Mihin kansioon luot sen? Kuinka tehdä se?
    Kun kantoraketit asennetaan arkistoista, kantoraketit sijoitetaan ryhmäänsä, voidaanko se tehdä asentamalla tar.gz kuten tässä verkossa kuvataan?
    Kiitos avusta

  30.   Carlos dijo

    Auta minua käyttämään toista käyttöjärjestelmää nimeltä lps 1.5.5, enkä voi päivittää ohjelmaa

  31.   Carlos dijo

    Kerro uudelleen, etten voi purkaa tar.bz2-tiedostoa. Minulla on käyttöjärjestelmä nimeltä lps 1.5.5, enkä tiedä miten sitä käyttää, auta minua, kiitos ...

  32.   joscastel dijo

    bz2-tiedoston purkamisen jälkeen komento ./configure EI toimi, koska sitä EI OLE olemassa

    1.    joscastel dijo

      Minulla on ubuntu 14.04LTS

  33.   tiedät kyllä dijo

    En ymmärrä sitä. Laaksossa .tar.gz käy elokuvissa, mutta Ubuntussa minulla ei ole tapaa koota

  34.   Raul dijo

    Mikä on paras käyttöjärjestelmä? paras käyttöjärjestelmä on, että se ratkaisee ongelmasi.

  35.   Juanzito dijo

    Linux-ihmiset ovat hämmästyttäviä. Olen yrittänyt asentaa ZinjaI: n vasta asennettuun LinuxMint-distroosi vähintään 5 tuntia.
    Käyn läpi kaikki löydetyt foorumit ja kaikilla (mutta kaikilla, mukaan lukien tämä), ne antavat sinulle puolet tiedoista.
    Esimerkiksi olen jo avannut päätelaitteen, mutta en voi laittaa osoitetta ladatun tiedoston sijaintiin (joka on / home / user / Downloads / zinjai).
    Saan vain virheen: "bash: cd: user: Ei tällaista tiedostoa tai hakemistoa.
    Ymmärrän, että he haluavat levittää ja levittää käyttöjärjestelmän käyttöä, mutta kieltämällä tiedot tai selittämällä kaiken puolittain, he saavuttavat vain sen, että minun kaltaiseti käyttäjät, joilla oli vankka aikomus siirtyä Windowsista Linuxiin, luopuvat ja pitää kiinni W7: stäni, huono mutta hyödyllinen ja hallittavissa.

    Kippis…

    PS: Mitä surkea asennusohjelma, jolla on graafinen käyttöliittymä, maksoi heille? Miksi heidän pitäisi nykyään XXI-luvulla jatkaa DOS: n kaltaisen käyttämistä kurjan pienen ohjelman asentamiseen? Pojat ... nähdäksesi elävätkö he vähän ....

    1.    Oselotti dijo

      cd ~ / Lataukset / asennuskomentopolku.

      Yksi vinkki: kiinni ikkunoilla. Jokainen käyttöjärjestelmä on tehty yhden tyyppiselle henkilölle. Windows on tarkoitettu ihmisille, jotka haluavat antaa kaiken maahan ja mahdollisimman pienellä vaivalla, ja näen sinun olevan sinun tapauksesi. On ihmisiä, jotka eivät voi tai eivät halua pyrkiä johonkin muuhun kuin seuraavaan, seuraavaan, seuraavaan ... hyväksymään. Se ei ole huono, meidän on yksinkertaisesti tiedettävä rajoituksemme ja sopeuduttava niihin.

      Toinen vinkki: Jos vain tietäisit, kuinka monta asiaa saavutetaan nöyryydellä ja käyttämällä kahta sanaa, kuten "kiitos". Se yllättäisi sinut. Tee se usein.

      1.    Knary dijo

        Hei Linuxeros.
        Paljon kiitoksia opetusohjelmasta, se auttoi minua asentamaan dwa-131 -adapterin ohjaimet.
        Epäilen hieman, olen tehnyt kaiken, kuten he sanovat edellä.
        Siirry tiedostopolulle, tee tar ... ja sitten Make, odota, että se on valmis, ja tee sitten asennus.
        Siihen asti en antanut mitään virheitä.
        Kysymys on tietää, onko ajurit jo asennettu vai onko minun tehtävä jotain muuta.
        Juanzito .. piristä ja anna Linuxille mahdollisuus riippumatta jakelusta, päätin jättää Windows 7: n viikko sitten ja olen enemmän eksynyt kuin helvetti, hahaha, mutta lukemalla täältä siellä löydät tietoa, joka on joskus vaikeaa sinulle Ymmärtämiseksi kaikki riippuu jokaisen ponnisteluista, jotka haluavat oppia ja päästä eroon monopolista, johon Windows upottaa sinut (se on mielestäni).
        Yksi asia ... Linux-terminaalissa isot kirjaimet lasketaan. 😉

        PS: Minun on tehtävä jotain muuta Kamen asennuksen jälkeen. ??

        Paljon kiitoksia.
        Paljon kiitoksia ja terveisiä Kanariansaarilta.

      2.    kaaria dijo

        Ja kuka olet kertoa käyttäjälle palata X-järjestelmään? Luuletko Richard stallmanin?

        Olen samaa mieltä siitä, mitä he sanovat joissakin kommenteissa, että paras käyttöjärjestelmä on se, jonka järjestelmä mukauttaa käyttäjään eikä EI päinvastoin.

        Rakastan henkilökohtaisesti Windows .exe-tiedostoa, koska kuten sanot, sinun ei tarvitse olla tietokonenero, jotta voit asentaa jotain hyvin yksinkertaista, kuten yksinkertainen muistilehtiö; verrataan täällä Linuxissa, että jos se ei ole omistetuissa ohjelmistosovelluksissa, pidä kiinni vuosisadan sotkuisesta tabletilla.

        Sain tänne etsimään ja organisoimaan tietoja ohjelmien asentamiseksi Linuxiin, koska valmistaudun asentamaan rahapajan tuottavaan koneeseen ja tiedän, että jos en valmistaudu, en voi asentaa mitään, ellei sitä ole arkistoissa.

        Nyt "ota" kaikki kysyvät ongelmasta on, että kukaan ei vastaa heille, siksi joskus ihmisten on oltava aggressiivisia, joten älä sano hölynpölyä.

      3.    Pablo dijo

        anteeksi .. mutta olen aina puolustanut ilmaisten ja avoimien ohjelmistojen käyttöä .. Olen käyttänyt tietokoneita 30 vuotta ... ja olen 37 ..
        ongelmana on, että yleensä Linuxissa on täydellinen, että kuka haluaa tai pitäisi "tietää" vähän enemmän jostakin yksinkertaisesta, kuten ohjelman asentamisesta, päivityksestä tai mistä tahansa ... ongelma tulee siitä, että monien ihmisten on työskenneltävä ja käytettävä tietokonetta (minkä tahansa käyttöjärjestelmän kanssa) suorittaa erityinen työtehtävänsä .. joten vaikka .gz-tiedoston lataaminen ja asentaminen vie 10 minuuttia .. tai jos useimpien ihmisten tavoin kestää tunteja .. he ovat minuutteja tai tunteja, kun he eivät pysty tee työsi ja siellä lähes kaikki kärsivät kärsivällisyydestä ..
        minun tapauksessani .. töissä käytän vain Ubuntua, joka on oletusarvoisesti asennettu tietokoneille, koska se on tieteellinen keskus, mutta se saa minut viettämään enemmän tunteja yrittämällä asentaa tai jopa selvittää miten tehdä pehmeä erityinen (esimerkiksi olen maantieteilijä) se toimii .. tai sen päivityksen jälkeen .. palauta kaikki työkalut, koska puolet lakkaa toimimasta ohjelman sisällä.
        tässä erityistapauksessa .. Minun piti nähdä webinaari / foorumi töissä .. ja koska he käyttävät jaavaa, kaipaan merkkiä siitä, että minun pitäisi päivittää se .. ok .. mene java-sivustoon .. etsi tiedosto käyttöjärjestelmällesi, 14.04 katso lataus- ja asennusohjeet "" .. .. lataa .gz ja sieltä sitten .. pura .. ok, ja ... se sanoo "install" .. ja voila .. vain mitään ei voitu tehdä tämän viestin tiedot .. mitä teen, kun puran «jre-blablabla of a lifetime.gz»?

  36.   Carlos Fabian Ferra dijo

    tämä ei koskaan toiminut minulle missään distrossa

    1.    yukiteru dijo

      Jos se ei toiminut sinulle, se on puhdas kerros 8.

      1.    Jank Carlos dijo

        Nero!

  37.   Ignatius Navarro dijo

    Koska käytän sitä hyvin satunnaisesti, joka kerta kun menen tänne katsomaan miten se tehdään.
    Kiitos, että kirjoitit sen ja et poistanut sitä niin kauan.

  38.   Ramon dijo

    Kuten näet synaptisesti uuden asennetun paketin, jos se näyttää sinulle vanhimman (vakaa levyn mukaan) ¿?

  39.   Jorge dijo

    kaikki menee passiin saapuessaan ./configure -ohjelmaan, kukaan ei selitä hyvin, kun sanotaan, että tiedostoa ei ole olemassa

    1.    Elvis dijo

      Yritän asentaa wifin Broadcomista kumpikaan ./configure, ei tehdä eikä tehdä asennustöitä.

      looginen sekvenssi on 1. suorita ./configure, mutta ilmeisesti tämä ohje viittaa vain configure-hakemistoon ja suorittaa jonkin sinne laitetun tiedoston, tämän pitäisi tulla pakettiin, joka ladataan Broadcomista, mutta minun tapauksessani tätä hakemistoa ei ole, se jonka on tarkoitus suorittaa määritys, on tarkistus ja Makefile-tiedoston luominen, mutta pakettia purettaessa ymmärrän, että Makefile on sisällytetty, kaksi muuta komentoa make and make install eivät toimi minulle, johtuen siitä, että elementary-osion uusin versio ei tue sitä freya perustuu ubuntuun 14.04

    2.    Aleksanteri TorMar dijo

      Totuus? Tämä menetelmä ei ole koskaan toiminut minulle, ja valitsen aina .deb-paketit tai komennot päätelaitteesta ... Harmi

  40.   Elvis dijo

    Yritän asentaa wifin Broadcomista kumpikaan ./configure, ei tehdä eikä tehdä asennustöitä.

    looginen sekvenssi on 1. suorita ./configure, mutta ilmeisesti tämä ohje viittaa vain configure-hakemistoon ja suorittaa jonkin sinne laitetun tiedoston, tämän pitäisi tulla pakettiin, joka ladataan Broadcomista, mutta minun tapauksessani tätä hakemistoa ei ole, se jonka on tarkoitus suorittaa määritys, on tarkistus ja Makefile-tiedoston luominen, mutta pakettia purettaessa ymmärrän, että Makefile on sisällytetty, kaksi muuta komentoa make and make install eivät toimi minulle, johtuen siitä, että elementary-osion uusin versio ei tue sitä freya perustuu ubuntuun 14.04

  41.   Aleksanteri TorMar dijo

    Totuus? Tämä menetelmä ei ole koskaan palvellut minua hyvin, ja valitsen aina .deb-paketit tai komennot terminaalista ... Harmi, että .tar.gz: n asentaminen ei ole mitään selvää

  42.   Aleksanteri TorMar dijo

    Miksi tätä opetusohjelmaa ei päivitetä? Vai tekevätkö he uuden?
    Kaikki täällä valittavat, ettei se ole palvellut heitä ja että sillä on jo vuosinsa….

  43.   HEKTORIN MATOT dijo

    Hei, haluan apua pakettien asentamiseen .. Minulla on Ubuntun versio 15 .. jotain .. Haluan asentaa Adobe Flash -laajennuksen, sillä sen asentaminen on erittäin hyödyllistä, koska Adobe Flashilla voin syöttää joitain verkkosivuja, joista näet TV ja kuuntele myös radiota .. voisitko lähettää minulle vaiheittaisen opetusohjelman .. Minulla ei ole paljon kokemusta komentoriviltä, ​​toisin sanoen päätelaitteen käytöstä.

    Apua .. kiitos

  44.   Abraham dijo

    Hei kaikki !!! Luettuani melkein kaikki kommentit, etsin linux-käyttöohjetta ja siinä kaikki.
    Ystävä OCELOTE, hyväksy tämä kritiikki nöyrästä ja merkityksettömästä näkökulmastani, jonka jaan miljoonien Windows-käyttäjien kanssa:

    Haluaisin mielelläni vaihtaa Linuxiin! mutta monien meistä on mahdotonta, miksi? ihmettelet ... koska minulle tietokone on keino, joka minun on tehtävä työni, se ei ole loppu ... En tiedä ymmärrätkö, mitä me kaikki haluamme (ja JUANZITO on kertonut sinulle hyvin), se on vakaa käyttöjärjestelmä, joka auttaa meitä työskennellessäni, minulla ei ole aikaa oppia tekemään perusasioita, kuten ohjelman asentaminen konsolista, kaiken pitäisi olla intuitiivisempaa ja helpompaa ... Liikemiehenä kerron teille, että Linuxin käyttämä hallinta on tuhoisa sen sijaan, että auttaisin ihmiset muuttamaan käyttöjärjestelmää vaadit, että ihmiset makaavat asioista, jotka eivät kiinnosta heitä, ja estät muutoksen itse ... Se, joka ohjelmoi kokoonpanoon, Java, Javascript, HTML, PHP ja Xbase, kertoo niin ... ja se koskettaa nenääni, kun minun on avattava konsoli melkein kaikesta.

    tervehdys

  45.   Defcon dijo

    Kestävyys DOS 6.22 vanha !!

  46.   erput dijo

    Laita sinut tutkimaan ja jättämään se wuendos-paska, joka toimii joillekin, koska he tekevät putin avaimina, eivät maksa heille, loukkaantumisen lisäämiseksi ne, jotka ovat tehneet nämä avaimet, ovat linux-neroita ja heidän pitäisi, siksi Olet kuin tyhmä keskustelemassa mamahuevadoista, liikemiehille, jotka sanon heille, maksa jatkuvasti lisenssinsä ja jos mitä he haluavat, on vakaa, niin he voittavat aikaa mitä helvettiä he tekevät kirjoittamalla idiootteja näissä tutoissa, tämä on niille meistä, jotka pitävät linux-idiooteista ässä

  47.   GENDA dijo

    Se ei ole kovin selvää aloittelijoille. Esimerkiksi sanot:
    «Menemme ensin kansioon, jossa meillä on tiedosto, jos kansiossa on useita sanoja, meidän on laitettava ne" "tai jos se ei etsi kansioita jokaisen sanan kanssa ... ...
    kuka tahansa käyttäjä syöttää nämä kansiot «explorerilla» ja nimeää uudelleen tuntematta sen kansion nimeä, joka sisältää sen lainausmerkeillä. Se siitä näkökulmasta, että olet lukenut sen, «uuden käyttäjän näkökulmasta.

    Sitten laitat:
    cd-kansio, jossa tiedosto on

    cd "kansio, jossa tiedosto on"
    Siitä lähtien käyttäjä on jo mennyt pilviin tai minne tahansa, koska tästä lähtien hän on kadonnut CD-levyllä lyhenteellä, et selvitä miten pääset sinne, askel askeleelta esimerkki, alkaen kaikesta ... avaa ensin konsolin .

  48.   GENDA dijo

    HECTOR MATOS: Adobe-, Java- ja muiden laajennusta ei tarvitse tehdä manuaalisesti, sinun on oltava yhteydessä Internetiin vain hetkeksi, ja päivityshallinnassa se näkyy automaattisesti, sieltä se päivitetään automaattisesti, Firefoxille Opera ja loput itsenäisesti ... normaalisti kantoraketti on kellopainikkeen vieressä aloituspalkissa, useissa distroissa näin, että oletusarvoisesti se oli siellä, en tiedä, tuleeko se olemaan sellainen kaikissa.

  49.   max dijo

    Ole selvempi, paljon tietoa puuttuu

  50.   Maria dijo

    Yritä päivittää python 3.x: ksi ja tee asennus asentamisen jälkeen kertoo minulle, että virhe on:
    zipimport.zipimporterror ei voi purkaa tietoja zlib ei ole käytettävissä tee *** asennusvirhe

  51.   f_leonar dijo

    Pakkauksen purkamisen jälkeen ./configure on syötettävä purettu hakemisto, muuten se ei toimi. Käytän KDE: tä ja syötin graafisesti kansion, jonka puroin ja avasin siellä päätelaitteen suorittamaan "make", mutta se ei toimi ...

  52.   anonyymi dijo

    Minulla on kysymys, saan tämän:
    manolo @ mxlolo-satellite-c655d: ~ / Desktop $ ./configure –apu
    bash: ./configure: Ei tällaista tiedostoa tai hakemistoa
    mitä teen ...

  53.   KATSODA dijo

    Kaikki hyvä, kunnes pallojen ./konfigurointi tuli ulos.
    MITÄ TARKOITAT TUOLLA !? He eivät selitä sitä, haluan vain asentaa toisen vitun elämän xddd
    «»»katsoda@katsoda-PC:~/Downloads$ ‘/home/katsoda/Downloads/Second_Life_5_0_4_325124_i686’/configure
    bash: / home / katsoda / Lataukset / Second_Life_5_0_4_325124_i686 / configure: Tiedostoa tai hakemistoa ei ole »» »
    Parempi ladata Windows 10 ja ottaa perse. (?)
    No ei. Mutta tämä on yksi niistä asioista, joita vihaan Linuxissa. Asentaminen ja rukoileminen siitä, että suosikkiohjelmat ovat yhteensopivia täällä, on iso haaste.

    1.    Gatoo_ dijo

      Ei vaivaudu, herrat, mutta opetusohjelman luoja kertoo täydellisesti, mitä tehdä, jos ./configure -ohjelmassa ilmenee virhe. Sinun täytyy vain lukea loput opetusohjelmasta (joka on 4 riviä).

      Minusta on uskomatonta, että niin monet ihmiset valittavat, että se ei selitä asioita, kun et ole edes pysähtynyt lukemaan.

  54.   perjantai dijo

    No, julistan itseni virallisesti epäpäteväksi tämän tyyppisissä tiedostoissa. Yritän asentaa Java-sovelluksen ja tämä on se;
    javier @ loft: ~ / JAVA / jre1.8.0_151 $ tar -zxvf jre-8u151-linux-x64.tar.gz
    terva (lapsi): jre-8u151-linux-x64.tar.gz: Ei voi avata: Tiedostoa tai hakemistoa ei ole olemassa
    tar (child): Virhe ei ole palautettavissa: poistuu nyt
    tar: Lapsi palautti tilan 2
    tar: Virhe ei ole palautettavissa: poistutaan nyt

  55.   Roger deku dijo

    linux ubuntussa 18.04.01 lts sinun tarvitsee vain kirjoittaa ./namedelprograma samaan kansioon purettuasi sen ja voila !!!

  56.   Jia dijo

    Erittäin hyvä, se oli erittäin hyödyllinen.

  57.   Emerson Goncalez dijo

    av linuxissa tämä ei toimi
    En tiedä mitä ylimääräistä minua; tai aina kun asennat distro aloitat ristin tien
    näet kuinka näppäimistö menee

  58.   Jose Felix Paisano Morales dijo

    Hei kaikki, käytän Ubunto 20: tä ja kysyin tältä sivulta Epson L4150: n skannerin asentamista (ladoin asemat http://support.epson.net/linux/en/imagescanv3.php?version=1.3.38#ubuntu).
    Seurasin vaiheita ja käytin tiedostoa "tar -zxvf tiedostonimi.tar.gz", kun avasin pakkauksen
    '$ cd imagescan-bundle-ubuntu-20.04-3.63.0.x64.deb', joka on luotu kansio.
    Käytetyn kansion "./install.sh" sisällä, joka on kuin "./configure", järjestelmä pyysi minulta salasanaa ja kaikki asennettu hyvin.
    Yritin skanneriani ja se oli hieno, kiitos ohjeiden antamisesta, pystyin käyttämään skanneriani

bool (tosi)